/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/sgx/audio/sampledata.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/audio/audio.hpp"


CSampleData::CSampleData(const sgxString &filename, const CSGXAudioEngine::ResourceContext context) 
{
	SGX_UNUSED(filename);
	SGX_UNUSED(context);
	
	m_fInner = 10.0f;
	m_fOuter = 10000.f;
	m_NormalizationGroup = CSGXAudioEngine::get()->getDefaultNormalizationGroup();
}

tREAL32
CSampleData::getDuration() const
{
	return 0;
}

void			
CSampleData::setNormalizationGroup(tUINT32 grp)
{
	m_NormalizationGroup = grp;
}

tUINT32			
CSampleData::getNormalizationGroup() const
{
	return m_NormalizationGroup;
}

tREAL32
CSampleData::getOuterRange() const
{
	return m_fOuter;
}

void
CSampleData::setOuterRange(tREAL32 range)
{
	m_fOuter = range;
}

tREAL32
CSampleData::getInnerRange() const
{
	return m_fInner;
}

void
CSampleData::setInnerRange(tREAL32 range)
{
	m_fInner = range;
}

CLogicalChannel *
CSampleData::getLogicalChannel(CLogicalChannel *pLogicalChannel) {
	if (pLogicalChannel == NULL) {
		pLogicalChannel = CSGXAudioEngine::get()->getFreeChannel();
	}
	
	return pLogicalChannel;
}

CDeviceChannel *
CSampleData::play(CLogicalChannel *) 
{
	return NULL;
}
